package org.wso2.usermanager;

import org.wso2.usermanager.i18n.Messages;

public class UserManagerException extends Exception{

	private static final long serialVersionUID = 773062447392531899L;

	private static Messages  messages = Messages.getInstance();
	
    public UserManagerException(String key, Object[] args) {
        super(messages.getMessage(key, args));
    }

    public UserManagerException(String key) {
        this(key, (Object[]) null);
    }

    public UserManagerException(String key, Object[] args, Throwable e) {
        super(messages.getMessage(key, args), e);
    }

    public UserManagerException(String key, Throwable e) {
        this(key, null, e);
    }
}
